import { NPrinterType } from './constants/NPrinterType';

export class NPrinter {
    private name: string = '';
    private macAddress: string = '';
    private type = NPrinterType.NONE;

    public getName(): string {
        return this.name;
    }

    public setName(name: string) {
        this.name = name;
    }

    public getMacAddress(): string {
        return this.macAddress;
    }

    public setMacAddress(macAddress: string) {
        this.macAddress = macAddress;
    }

    public getType(): number {
        return this.type;
    }

    public setType(type: number) {
        if (type === NPrinterType.NEMONIC_MIP201) {
            this.type = type;
        }
        else {
            this.type = NPrinterType.NONE;
        }
    }
}